
"use strict";

let ManeuverResponse = require('./ManeuverResponse.js');
let LongitudinalWaypoint = require('./LongitudinalWaypoint.js');
let TrajectoryPointDeltaTime = require('./TrajectoryPointDeltaTime.js');
let ManeuverID = require('./ManeuverID.js');
let ManeuverConstraints = require('./ManeuverConstraints.js');
let AdviceResponse = require('./AdviceResponse.js');
let Altitude = require('./Altitude.js');
let LongitudinalManeuverWaypointContainer = require('./LongitudinalManeuverWaypointContainer.js');
let ReferencePositionWithConfidence = require('./ReferencePositionWithConfidence.js');
let GenerationDeltaTime = require('./GenerationDeltaTime.js');
let SuggestedManeuverContainer = require('./SuggestedManeuverContainer.js');
let DesiredRoute = require('./DesiredRoute.js');
let BasicContainer = require('./BasicContainer.js');
let RoadUserType = require('./RoadUserType.js');
let PlannedTrajectory = require('./PlannedTrajectory.js');
let AdviceUpdateID = require('./AdviceUpdateID.js');
let Waypoint = require('./Waypoint.js');
let AltitudeValue = require('./AltitudeValue.js');
let AltitudeConfidence = require('./AltitudeConfidence.js');
let ManeuverContainer = require('./ManeuverContainer.js');
let SpeedValue = require('./SpeedValue.js');
let StationId = require('./StationId.js');
let YieldToRoadUserContainer = require('./YieldToRoadUserContainer.js');
let WaypointDeltaTime = require('./WaypointDeltaTime.js');
let RoadUserState = require('./RoadUserState.js');
let TrajectoryPoint = require('./TrajectoryPoint.js');
let CartesianCoordinateLarge = require('./CartesianCoordinateLarge.js');
let McmParameters = require('./McmParameters.js');
let SuggestedManeuver = require('./SuggestedManeuver.js');
let ParticipatingRoadUserIDContainer = require('./ParticipatingRoadUserIDContainer.js');
let RoadUserLength = require('./RoadUserLength.js');
let ConfirmationRequiredFlag = require('./ConfirmationRequiredFlag.js');
let TrafficParticipantType = require('./TrafficParticipantType.js');
let MCM = require('./MCM.js');
let TrajectoryStartDeltaTime = require('./TrajectoryStartDeltaTime.js');
let SemiAxisLength = require('./SemiAxisLength.js');
let RoadUserContainer = require('./RoadUserContainer.js');
let Longitude = require('./Longitude.js');
let Wgs84AngleValue = require('./Wgs84AngleValue.js');
let ManeuverType = require('./ManeuverType.js');
let ManeuverCoordinationMessage = require('./ManeuverCoordinationMessage.js');
let ItsPduHeader = require('./ItsPduHeader.js');
let TerminationStatus = require('./TerminationStatus.js');
let PositionConfidenceEllipse = require('./PositionConfidenceEllipse.js');
let MessageId = require('./MessageId.js');
let HeadingValue = require('./HeadingValue.js');
let ManeuverParameters = require('./ManeuverParameters.js');
let RoadUserWidth = require('./RoadUserWidth.js');
let Polygon = require('./Polygon.js');
let TrajectoryPointContainer = require('./TrajectoryPointContainer.js');
let Latitude = require('./Latitude.js');
let OrdinalNumber1B = require('./OrdinalNumber1B.js');
let ParticipatingRoadUserIndex = require('./ParticipatingRoadUserIndex.js');

module.exports = {
  ManeuverResponse: ManeuverResponse,
  LongitudinalWaypoint: LongitudinalWaypoint,
  TrajectoryPointDeltaTime: TrajectoryPointDeltaTime,
  ManeuverID: ManeuverID,
  ManeuverConstraints: ManeuverConstraints,
  AdviceResponse: AdviceResponse,
  Altitude: Altitude,
  LongitudinalManeuverWaypointContainer: LongitudinalManeuverWaypointContainer,
  ReferencePositionWithConfidence: ReferencePositionWithConfidence,
  GenerationDeltaTime: GenerationDeltaTime,
  SuggestedManeuverContainer: SuggestedManeuverContainer,
  DesiredRoute: DesiredRoute,
  BasicContainer: BasicContainer,
  RoadUserType: RoadUserType,
  PlannedTrajectory: PlannedTrajectory,
  AdviceUpdateID: AdviceUpdateID,
  Waypoint: Waypoint,
  AltitudeValue: AltitudeValue,
  AltitudeConfidence: AltitudeConfidence,
  ManeuverContainer: ManeuverContainer,
  SpeedValue: SpeedValue,
  StationId: StationId,
  YieldToRoadUserContainer: YieldToRoadUserContainer,
  WaypointDeltaTime: WaypointDeltaTime,
  RoadUserState: RoadUserState,
  TrajectoryPoint: TrajectoryPoint,
  CartesianCoordinateLarge: CartesianCoordinateLarge,
  McmParameters: McmParameters,
  SuggestedManeuver: SuggestedManeuver,
  ParticipatingRoadUserIDContainer: ParticipatingRoadUserIDContainer,
  RoadUserLength: RoadUserLength,
  ConfirmationRequiredFlag: ConfirmationRequiredFlag,
  TrafficParticipantType: TrafficParticipantType,
  MCM: MCM,
  TrajectoryStartDeltaTime: TrajectoryStartDeltaTime,
  SemiAxisLength: SemiAxisLength,
  RoadUserContainer: RoadUserContainer,
  Longitude: Longitude,
  Wgs84AngleValue: Wgs84AngleValue,
  ManeuverType: ManeuverType,
  ManeuverCoordinationMessage: ManeuverCoordinationMessage,
  ItsPduHeader: ItsPduHeader,
  TerminationStatus: TerminationStatus,
  PositionConfidenceEllipse: PositionConfidenceEllipse,
  MessageId: MessageId,
  HeadingValue: HeadingValue,
  ManeuverParameters: ManeuverParameters,
  RoadUserWidth: RoadUserWidth,
  Polygon: Polygon,
  TrajectoryPointContainer: TrajectoryPointContainer,
  Latitude: Latitude,
  OrdinalNumber1B: OrdinalNumber1B,
  ParticipatingRoadUserIndex: ParticipatingRoadUserIndex,
};
